Frage von Michi2000B, 79

Riesen Problem mit PHP 7 und Pocketmine - gibt es einen Konverter?

Hallo Leute, ich benutze den Minecraft Pe Server Pocketmine. Die Version von ImagicalMine ist die beste und aktuellste Version.

http://jenkins.imagicalcorp.ml:8080/job/ImagicalMine/

Leider haben sie mitgeteilt dass sie nur noch für PHP 7 die Versionen schreiben. Ich würde sehr gerne auf PHP 7 umsteigen aber viele sagen dass dann die ganzen plugins die für PHP5 geschrieben sind nicht mehr funktionieren.

Gibt es einen Konverter? - Oder stimmt das gar nicht? - Kann man die plugins weiter benutze?

Wäre cool wenn ihr mir weiterhelfen könntet :D

Danke im Vorraus

Antwort
von donnixyt, 54

php7 ist auf manschen Servern nicht wirklich installierbar und eigentlich gehen die meisten Plugins auf php7! Außerden ist es bei manschen Servern umständlich zu installieren! xD

Ich habe einen eigenen Server und da hat ein Developer vom Server Team ImagicalMine auf php5 importiert! (Für die Version 0.14.0)
Wenn du willst könnte ich dir die .phar Datei geben, wenn er es mir erlaubt! :P

Kommentar von Michi2000B ,

Oha wie cool dass du ein Developer bist :D

Machst du auch plugins.

Und ja ich hab jetzt php 7 installiert und viele Plugins gehen doch jedoch ein paar nicht aber die werden bald bestimmt wieder gehen :D

Kommentar von donnixyt ,

1. Ich bin kein Developer

2. Ich kann aber Webseiten erstellen und kann im JavaScript das Datum und die Uhrzeit anzeigen lassen! xD

Antwort
von Minecrafter2002, 45

Ich würde dir dann raten auf ClearSky umzusteigen. :)

Antwort
von Jufux, 55

Hi ich habe momentan das Problem das ich die php7 datei garnicht finde, könntest du mir vlt einen Link geben ?

Kommentar von Michi2000B ,

Gerne :D

Also ich empfele dir die neue PHP7 weil es doch nicht so schlimm ist wie ich gedacht hatte. Es gehen doch viele Plugins!

Ich habe gerade nachgeschaut und ich hab echt keine Ahnung mehr wie ich das geschaft habe aber ich kann dir die fertige Datei senden und du sagst mir dann ob es geklappt hat.

Hier ist der Link zu Dropbox:

https://www.dropbox.com/s/yg8xptszmqphn5y/PHP7-%20Datei%20-%20f%C3%BCr%20Pocketm...

1.Kopiere deinen ganzen Server-Ordner dass du ein backup hast falls was schief läuft.

2. Downloaden

3. Entzippen (am besten mit 7-Zip weil das das beste und einfachste Programm ist was es gibt und vorallem es ist kostenlos)

4. Die Datei namens "bin", die in deinem Server Ordner ist löscht du und ersetzt sie mit der Datei von Dropbox die auch "bin" heißt

Wichtig ist die gedownloadete Datei muss entzipt sein das heist ein ganz normaler Ordner

5. Es könnte sein dass ein oder mehrere Pluins deinen Server abstürtzen lassen weil sie php 7 nicht unterstützen.

Ziehe alle pluins aus den plugin Ordner und immer schritt für Schritt ein Pluin wieder rein und server neu starten. Dann weist du welches streikt. :D

 bei mir sind es :

-Slapper

-SignStatus

-ManyWords (wieso geht das wichtigste plugin nicht mehr :((    )

-LuckyBlock

-KillRate

-JoinCommands

Diese gehen alle nicht mehr.

Die anderen 33 gehen :D

Falls du noch Fragen hast sag bescheid ;D

Kommentar von Jufux ,

Danke für die ausführliche Antwort, aber mein Server läuft über die PocketMine App auf meinem Handy. Mit dem Handy kann ich die Datei nicht öffnen.

Kommentar von Michi2000B ,

Bitte :D

Ja ich hab es auch schon über die App versucht, jedoch geht es da noch nicht warum weis ich leider auch nicht aber wenn ich mehr weis teile ich es dir mit :D

Keine passende Antwort gefunden?

Fragen Sie die Community

Weitere Fragen mit Antworten